using UnityEngine;


public abstract class EnemyAbility : ScriptableObject
{
    public float cooldown;

    public abstract float ComputeUtility(EnemyDecisionContext ctx);
    public abstract void Use(EnemyDecisionContext ctx);
}
